Bug 442046 - Periodic Disconnects from WPA2 Router/WAP
Periodic Disconnects from WPA2 Router/WAP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 09:44 EDT by Marc Schwartz
Modified: 2009-01-09 01:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:22:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schwartz 2008-04-11 09:44:23 EDT
Description of problem:

After noting #213088 regarding WPA related problems for wireless connections, I
installed the below listed components. This enabled me to connect to a LinkSys
WPA2 router/WAP. However, I am now noting periodic disconnects and fall back to
the wired connection.


Version-Release number of selected component (if applicable):

From F8 updates-testing:

NetworkManager-gnome-0.7.0-0.6.7.svn3370.fc8
NetworkManager-openvpn-0.7.0-8.svn3302.fc8
NetworkManager-glib-0.7.0-0.6.7.svn3370.fc8
NetworkManager-0.7.0-0.6.7.svn3370.fc8
NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8

wpa_supplicant-0.5.10-4.fc8



How reproducible:

Always



Steps to Reproduce:
1. Connect to a WPA2 protected router/WAP


  
Actual results:

Connection is achieved, but after a time is lost and falls back to the wired
interface. The following is noted in dmesg:

wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:39:df:fc:29
wlan0: RX authentication from 00:18:39:df:fc:29 (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:39:df:fc:29
wlan0: RX AssocResp from 00:18:39:df:fc:29 (capab=0x411 status=0 aid=2)
wlan0: associated
wlan0: switched to long barker preamble (BSSID=00:18:39:df:fc:29)
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
wlan0: disassociate(reason=3)
eth0: no IPv6 routers present
wlan0: RX deauthentication from 00:18:39:df:fc:29 (reason=16)
wlan0: deauthenticated




Expected results:

Stable wireless connection



Other Info:

My wifi card is in a Dell Inspiron 5150 laptop with a P4 CPU:

02:02.0 Network controller: Broadcom Corporation BCM4309 802.11a/b/g (rev 02)

and I use the b43legacy driver via b43-fwcutter.

My kernel is the latest for F8 stable: 2.6.24.4-64.fc8
Comment 1 ajs 2008-08-01 13:14:46 EDT
I also see this in F9.

When the AP is put in WPA compatibility mode, the connection is stable.

kernel-2.6.25.11-97.fc9.x86_64
wpa_supplicant-0.6.3-6.fc9.x86_64
NetworkManager-openvpn-0.7.0-14.svn3632.fc9.x86_64
NetworkManager-glib-0.7.0-0.9.4.svn3675.fc9.x86_64
NetworkManager-0.7.0-0.9.4.svn3675.fc9.x86_64
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc9.x86_64
NetworkManager-gnome-0.7.0-0.9.4.svn3675.fc9.x86_64

Hardware:
HP Pavilion dv6000t
Intel 3945 ABG
Comment 2 Bug Zapper 2008-11-26 05:28:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:22:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.